Bug 123330 - USB input device do not work
USB input device do not work
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-05-17 04:45 EDT by Michiel van Turnhout
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 00:33:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michiel van Turnhout 2004-05-17 04:45:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux 2.4.21-215-default; i686) (KHTML, like Gecko)

Description of problem:
I have a system with USB keyboard and mouse. 

On previous Linux versions the module usb-ohci module is loaded to  activate these devices. 

Now when I boot from FC2Test3 my keyboard and mouse do not respond and I am unable to install.

Version-Release number of selected component (if applicable):
Fedora Core2 test3 CD1

How reproducible:

Steps to Reproduce:
1.Boot from CD
2.on boot: you can still enter text using the keyboard
3.When the menu "Media Check" appears no input is possible

Actual Results:  System waits for user input

Expected Results:  tab key should select Skip button to continue fast installation

Additional info:
Comment 1 Jeremy Katz 2004-06-08 14:33:34 EDT
Does this work with the final FC2 release?
Comment 2 Michiel van Turnhout 2004-06-09 02:12:41 EDT
This problem was with: 
Fedora Core2 Final 
NEC Versa M300 Laptop. 
My laptop now runs under Suse 9.0 without problem but I would like 
to migrate to Fedora core2. 
My lsmod under suse lists the usb-ohci module for USB. 
Comment 3 Michiel van Turnhout 2004-06-25 04:21:39 EDT
I think the problem is with USB-HID in the kernel. I hav build a new 
working kernel. How can this kernel be used with de install-cd 
fedora core2 final? 
Comment 4 Damien 2004-07-14 13:08:49 EDT
I have a Nec M300 too, I can Install the FC2 with DVD
with the acpi=ht option, but when the install is finish
  with the acpi=ht option : Hard-disk Error
  without the acpi=ht option : No keyboard
Comment 5 Michiel van Turnhout 2004-08-26 06:24:24 EDT
OK I have installed with option acpi=ht and had no harddisk error 
but the fsck terminated with a signal 11. I added apm=off to the 
kernel line in grub: 
kernel /vmlinuz-2.6.5-1.358 ro root=LABEL=/ acpi=ht apm=off rhgb 
Then the M300 boots ok.  
I will now rebuild a kernel with the apm bugfix for NEC M300 Laptop 
and see what that brings. 
Comment 6 Dave Jones 2004-12-07 01:47:33 EST
fixed with the 2.6.9 kernel ?
Comment 7 Dave Jones 2005-04-16 00:33:51 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.